MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031887Community[OCCT] OCCT:Modeling Algorithmspublic2020-10-29 14:262020-12-02 17:13
Reporterxuzhongxing 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version20.10
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0031887: Modeling Algorithms - IntTools_Context::IsPointInFace() always returns TRUE
DescriptionThere is a logic bug in
 Standard_Boolean IntTools_Context::IsPointInFace
  (const gp_Pnt& aP,
   const TopoDS_Face& aF,
   const Standard_Real aTol) 

bIn is never updated to false if aDist >= aTol
Steps To ReproduceNone
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0096366)
git (administrator)
2020-10-29 14:32

Branch CR0031887 has been created by xuzhongxing.

SHA-1: 9f9490e1ae0eaf38507437019a117437c6317225


No new revisions were added by this update.
(0096369)
git (administrator)
2020-10-29 14:54

Branch CR31887 has been created by xuzhongxing.

SHA-1: 4c14d7a71958658ed7c4fa5a28ce75e0082bfb59


Detailed log of new commits:

Author: Xu Zhongxing
Date: Thu Oct 29 19:33:27 2020 +0800

    0031887: IntTools_Context::IsPointInFace always return TRUE
    
    If aDist >= aTol, bIn is never updated to false, and the function
    always returns TRUE.
(0096370)
git (administrator)
2020-10-29 15:06

Branch CR0031887 has been deleted by xuzhongxing.

SHA-1: 9f9490e1ae0eaf38507437019a117437c6317225
(0096371)
xuzhongxing (reporter)
2020-10-29 15:10

Can this simple fix go into 7.5.0 release?
(0096392)
emv (developer)
2020-10-30 08:16

Reviewed.
CR31887 is for integration to OCCT.
(0096426)
bugmaster (administrator)
2020-10-31 12:49

Combination -
OCCT branch : OCCT-750
master SHA - a8b9d7eb277d4ce8949427b7c6ab6af92422ae83
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750 SHA - d1791aa18ab401708974b4c974aba57dc55acaa7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17977.46000000013 / 17994.53000000008 [-0.09%]
Products
Total CPU difference: 12143.270000000102 / 12171.670000000115 [-0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 19728.796875 / 19728.265625 [+0.00%]
Products
Total CPU difference: 13560.6875 / 13538.390625 [+0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096563)
git (administrator)
2020-11-05 15:59

Branch CR31887 has been deleted by inv.

SHA-1: 4c14d7a71958658ed7c4fa5a28ce75e0082bfb59

- Related Changesets
occt: master 2b7fd8c8
Timestamp: 2020-10-29 11:33:27
Author: xuzhongxing
Committer: bugmaster
Details ] Diff ]
0031887: IntTools_Context::IsPointInFace always return TRUE

If aDist >= aTol, bIn is never updated to false, and the function
always returns TRUE.
mod - src/IntTools/IntTools_Context.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-29 14:26 xuzhongxing New Issue
2020-10-29 14:26 xuzhongxing Assigned To => msv
2020-10-29 14:32 git Note Added: 0096366
2020-10-29 14:40 xuzhongxing Note Added: 0096368
2020-10-29 14:40 xuzhongxing Note Edited: 0096368 View Revisions
2020-10-29 14:53 xuzhongxing Note Deleted: 0096368
2020-10-29 14:54 git Note Added: 0096369
2020-10-29 14:54 kgv Summary IntTools_Context::IsPointInFace always return TRUE => Modeling Algorithms - IntTools_Context::IsPointInFace() always returns TRUE
2020-10-29 14:54 kgv Description Updated View Revisions
2020-10-29 14:59 kgv Relationship added child of 0024646
2020-10-29 14:59 kgv Product Version 7.4.0 => 6.9.0
2020-10-29 14:59 kgv Target Version => 7.6.0*
2020-10-29 15:06 git Note Added: 0096370
2020-10-29 15:10 xuzhongxing Note Added: 0096371
2020-10-29 15:36 msv Assigned To msv => emv
2020-10-29 15:36 msv Status new => resolved
2020-10-29 15:36 msv Steps to Reproduce Updated View Revisions
2020-10-30 08:16 emv Note Added: 0096392
2020-10-30 08:16 emv Assigned To emv => bugmaster
2020-10-30 08:16 emv Status resolved => reviewed
2020-10-30 12:51 kgv Target Version 7.6.0* => 7.5.0
2020-10-31 12:49 bugmaster Note Added: 0096426
2020-10-31 12:49 bugmaster Status reviewed => tested
2020-10-31 12:52 bugmaster Test case number => Not required
2020-10-31 12:54 bugmaster Changeset attached => occt master 2b7fd8c8
2020-10-31 12:54 bugmaster Status tested => verified
2020-10-31 12:54 bugmaster Resolution open => fixed
2020-11-05 15:59 git Note Added: 0096563
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker